matrix:
  linux_platform: ["debian11", "ubuntu2204"]
  # Blocked due to lack of openmp support on MacOS in the BCR CI; however, this
  # module will compile on macos platforms that have openmp configured properly
  # with the system compiler.
  # osx_platform: ["macos", "macos_arm64"]
  bazel: [7.x, 8.x]

tasks:
  verify_linux_targets:
    name: Verify linux build and test targets
    platform: ${{ linux_platform }}
    shell_commands:
    - sudo apt-get update
    - sudo apt-get install libomp5 -y
    bazel: ${{ bazel }}
    build_targets:
    - '@openfhe//:core'
    - '@openfhe//:pke'
    - '@openfhe//:binfhe'
    - '@openfhe//:headers'
    - '@openfhe//:libopenfhe'
